#!/bin/sh

# create folder for rootfs and zImage
mkdir -p images

# get OpenWRT
svn co -r 25297 svn://svn.openwrt.org/openwrt/trunk/ trunk

cd trunk

# apply OnRISC patch
quilt import ../alekto.patch
quilt push

# copy config file
cp ../openwrt.config ./.config

# extract platfrom files
tar -C target/linux/ -xvzf ../alekto.tar.gz

# install LuCi
echo "src-svn packages svn://svn.openwrt.org/openwrt/packages@25297" > feeds.conf
echo "src-svn luci http://svn.luci.subsignal.org/luci/trunk/contrib/package" >> feeds.conf

./scripts/feeds update -a
./scripts/feeds install -a
./scripts/feeds install -a -p luci

# build OpenWRT
make

# copy rootfs and zImage to images
cp build_dir/linux-alekto/root.ext2 ../images
cp build_dir/linux-alekto/linux-2.6.35.4/arch/arm/boot/zImage ../images

echo "---------------------------------------------------------------------------------------"
echo "VSAlekto OpenWRT image was build successfully and can be found in the images directory."


